package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserRoleType] 对象
 */
public interface IUserRoleType {

    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [备注]
     */
    public void setMemo(String memo);
    
    /**
     * 设置 [备注]
     */
    public String getMemo();

    /**
     * 获取 [备注]脏标记
     */
    public boolean getMemoDirtyFlag();
    /**
     * 获取 [用户角色类型标识]
     */
    public void setUserRoleTypeId(String userRoleTypeId);
    
    /**
     * 设置 [用户角色类型标识]
     */
    public String getUserRoleTypeId();

    /**
     * 获取 [用户角色类型标识]脏标记
     */
    public boolean getUserRoleTypeIdDirtyFlag();
    /**
     * 获取 [用户角色类型名称]
     */
    public void setUserRoleTypeName(String userRoleTypeName);
    
    /**
     * 设置 [用户角色类型名称]
     */
    public String getUserRoleTypeName();

    /**
     * 获取 [用户角色类型名称]脏标记
     */
    public boolean getUserRoleTypeNameDirtyFlag();
}
